<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Database..::.GetBothMultiple Method (DatabaseEntry, DatabaseEntry, Int32, Transaction)
Database Class See Also Send Feedback

If a key/data pair in the database matches key and data, return the key and all duplicate data items.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public KeyValuePair<DatabaseEntry, MultipleDatabaseEntry> GetBothMultiple(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	int BufferSize,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function GetBothMultiple ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	BufferSize As Integer, _
    	txn As Transaction _
    ) As KeyValuePair(Of DatabaseEntry, MultipleDatabaseEntry)

Visual C++

    public:
    KeyValuePair<DatabaseEntry^, MultipleDatabaseEntry^> GetBothMultiple(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	int BufferSize,
    	Transaction^ txn
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to search for

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data to search for

BufferSize
  Type: System..::.Int32
  The initial size of the buffer to fill with duplicate data items. If the buffer is not large enough, it will be automatically resized.

txn
  Type: BerkeleyDB..::.Transaction
  txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

A KeyValuePair<(Of <(TKey, TValue>)>) whose Key parameter is key and whose Value parameter is the retrieved data items.

# Exceptions

Exception | Condition
--- | ---
BerkeleyDB..::.NotFoundException | A NotFoundException is thrown if key and data are not in the database.
BerkeleyDB..::.KeyEmptyException | A KeyEmptyException is thrown if the database is a QueueDatabase or RecnoDatabase database and key exists, but was never explicitly created by the application or was later deleted.

# See Also

Database Class
GetBothMultiple Overload
BerkeleyDB Namespace